.credit-card {
  --mo-credit-card-gradient-visa: linear-gradient(
    71deg,
    #193469 14.63%,
    #4860f5 107.59%
  );
  --mo-credit-card-gradient-master-card: linear-gradient(
    71deg,
    #103173 14.63%,
    #717bbc 107.59%
  );
  --mo-credit-card-gradient-discover: linear-gradient(
    71deg,
    #ff5f00 14.63%,
    #ffb081 107.59%
  );
  --mo-credit-card-gradient-diners-club: linear-gradient(
    71deg,
    #486297 14.63%,
    #97a3ed 107.59%
  );
  --mo-credit-card-gradient-american-express: linear-gradient(
    71deg,
    #6b61e1 14.63%,
    #0d00a1 107.59%
  );
  --mo-credit-card-gradient-visa-black: linear-gradient(
    69deg,
    #6d6d6d 2.6%,
    #f5faff 130.18%
  );
  --mo-credit-card-gradient-master-card-black: linear-gradient(
    61deg,
    #2b2a2a 31.79%,
    #d9d9d9 143.63%
  );
  --mo-credit-card-gradient-discover-black: linear-gradient(
    249deg,
    #3e3e3e 3.54%,
    #e0e0e0 134.9%
  );
  --mo-credit-card-gradient-diners-club-black: linear-gradient(
    232deg,
    #000 26.05%,
    #b0afaf 124.37%
  );
  --mo-credit-card-gradient-american-express-black: linear-gradient(
    232deg,
    rgba(102, 102, 102, 0.85) 26.05%,
    #434343 124.37%
  );
  width: 335px;
  height: 185px;
  border-radius: 20px;
  color: white;
  font-family: sans-serif;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  cursor: pointer;
  background-size: 300%;
  background-position: right;
  transition: all 0.3s ease-out;
  &__header {
    padding: 20px 24px 0;
    &--number {
      font-size: 16px;
      font-weight: 400;
      margin: 0;
    }
    &--title {
      font-size: 10px;
      font-weight: 700;
      margin: 0;
    }
  }
  &__footer {
    padding: 20px 24px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    &--balance {
      h3 {
        font-size: 12px;
        font-weight: 700;
        margin: 0;
      }
      p {
        font-size: 20px;
        font-weight: 500;
        margin: 0;
      }
    }
  }
}
.disabled {
  color: rgba(255, 255, 255, 0.2);
  cursor: not-allowed;
  .credit-card__footer--franchise {
    opacity: 0.2;
  }
}
.gradient-visa {
  background-image: var(--mo-credit-card-gradient-visa);
}
.gradient-visa:not(.disabled):hover {
  background-position: left;
}
.gradient-mastercard {
  background-image: var(--mo-credit-card-gradient-master-card);
}
.gradient-mastercard:not(.disabled):hover {
  background-position: left;
}
.gradient-discover {
  background-image: var(--mo-credit-card-gradient-discover);
}
.gradient-discover:not(.disabled):hover {
  background-position: left;
}
.gradient-diners-club {
  background-image: var(--mo-credit-card-gradient-diners-club);
}
.gradient-diners-club:not(.disabled):hover {
  background-position: left;
}
.gradient-american-express {
  background-image: var(--mo-credit-card-gradient-american-express);
}
.gradient-american-express:not(.disabled):hover {
  background-position: left;
}
.gradient-visa-black {
  background-image: var(--mo-credit-card-gradient-visa-black);
}
.gradient-visa-black:not(.disabled):hover {
  background-position: left;
}
.gradient-mastercard-black {
  background-image: var(--mo-credit-card-gradient-master-card-black);
}
.gradient-mastercard-black:not(.disabled):hover {
  background-position: left;
}
.gradient-discover-black {
  background-image: var(--mo-credit-card-gradient-discover-black);
}
.gradient-discover-black:not(.disabled):hover {
  background-position: left;
}
.gradient-diners-club-black {
  background-image: var(--mo-credit-card-gradient-diners-club-black);
}
.gradient-diners-club-black:not(.disabled):hover {
  background-position: left;
}
.gradient-american-express-black {
  background-image: var(--mo-credit-card-gradient-american-express-black);
}
.gradient-american-express-black:not(.disabled):hover {
  background-position: left;
}
.small {
  width: 271px;
  height: 110px;
  cursor: default;
  .credit-card__header {
    padding: 17px 22px 0;
  }
  .credit-card__footer {
    padding: 0px 22px 17px;
  }
}
